searchData={"items":[{"type":"module","title":"Paubox","doc":"Documentation for `Paubox`.","ref":"Paubox.html"},{"type":"module","title":"Paubox.API.Email","doc":"Documentation for the Paubox.API module.","ref":"Paubox.API.Email.html"},{"type":"function","title":"Paubox.API.Email.client/0","doc":"","ref":"Paubox.API.Email.html#client/0"},{"type":"function","title":"Paubox.API.Email.client/1","doc":"","ref":"Paubox.API.Email.html#client/1"},{"type":"function","title":"Paubox.API.Email.client/2","doc":"","ref":"Paubox.API.Email.html#client/2"},{"type":"function","title":"Paubox.API.Email.get_receipt/2","doc":"Get the receipt for a message with the given source tracking ID.\nSee: https://docs.paubox.com/docs/paubox_email_api/messages#get-email-disposition","ref":"Paubox.API.Email.html#get_receipt/2"},{"type":"function","title":"Paubox.API.Email.send/2","doc":"See: https://docs.paubox.com/docs/paubox_email_api/messages#send-message\n\nSend a single Paubox.Message to the Paubox API.\n\nPossible responses are:\n- `{:ok, %Paubox.API.SendResponse{}}`: The message was successfully sent.\n- `{:api_error, %{errors: []}}`: The API returned an error.\n- `{:error, String.t()}`: An error occurred while sending the message.","ref":"Paubox.API.Email.html#send/2"},{"type":"function","title":"Paubox.API.Email.send_bulk/2","doc":"See: https://docs.paubox.com/docs/paubox_email_api/messages#send-bulk-messages\n\nSend multiple Paubox.Message structs to the Paubox API in a single request.\nThe Paubox documentation recommends sending batches of 50 or less.  Source\ntracking IDs are generated for each message and are returned in the order they\nare in the request.\n\nPossible responses are:\n- `{:ok, [%Paubox.API.SendResponse{} | _rest]}`: The messages were successfully sent.\n- `{:api_error, %{errors: []}}`: The API returned an error.\n- `{:error, String.t()}`: An error occurred while sending the messages.","ref":"Paubox.API.Email.html#send_bulk/2"},{"type":"function","title":"Paubox.API.Email.send_in_batches/3","doc":"This is a thin wrapper around `send_bulk/2` that sends messages in batches of\na passed in value or using the default of 50. The response is the same as\n`send_bulk/2`.","ref":"Paubox.API.Email.html#send_in_batches/3"},{"type":"module","title":"Paubox.API.MessageReceipt","doc":"This is a wrapper struct around the response from the Paubox API when sending\nmessages.","ref":"Paubox.API.MessageReceipt.html"},{"type":"function","title":"Paubox.API.MessageReceipt.id/1","doc":"","ref":"Paubox.API.MessageReceipt.html#id/1"},{"type":"function","title":"Paubox.API.MessageReceipt.message_deliveries/1","doc":"","ref":"Paubox.API.MessageReceipt.html#message_deliveries/1"},{"type":"function","title":"Paubox.API.MessageReceipt.new/1","doc":"Create a new SendResponse struct from a map.\n\nIf you pass in a List it will create a list of SendResponse structs. This is\nuseful when sending messages using the bulk API.","ref":"Paubox.API.MessageReceipt.html#new/1"},{"type":"type","title":"Paubox.API.MessageReceipt.t/0","doc":"","ref":"Paubox.API.MessageReceipt.html#t:t/0"},{"type":"module","title":"Paubox.API.SendResponse","doc":"This is a wrapper struct around the response from the Paubox API when sending\nmessages.","ref":"Paubox.API.SendResponse.html"},{"type":"function","title":"Paubox.API.SendResponse.new/1","doc":"Create a new SendResponse struct from a map.\n\nIf you pass in a List it will create a list of SendResponse structs. This is\nuseful when sending messages using the bulk API.","ref":"Paubox.API.SendResponse.html#new/1"},{"type":"type","title":"Paubox.API.SendResponse.t/0","doc":"","ref":"Paubox.API.SendResponse.html#t:t/0"},{"type":"module","title":"Paubox.Attachment","doc":"","ref":"Paubox.Attachment.html"},{"type":"function","title":"Paubox.Attachment.new/1","doc":"This will create a new Paubox.Attachment struct from a file. It will read the\nfile in, encode it to base64, and set the content type based on the file\nextension. If no content type is found, it will default to text/plain.","ref":"Paubox.Attachment.html#new/1"},{"type":"function","title":"Paubox.Attachment.output/2","doc":"This will write the attachment to the specified directory. If no directory\nis specified, it will default to the current directory.","ref":"Paubox.Attachment.html#output/2"},{"type":"type","title":"Paubox.Attachment.t/0","doc":"A Paubox email attachment. Additional info can be found at https://docs.paubox.com/docs/paubox_email_api/messages","ref":"Paubox.Attachment.html#t:t/0"},{"type":"module","title":"Paubox.Message","doc":"","ref":"Paubox.Message.html"},{"type":"type","title":"Paubox.Message.t/0","doc":"","ref":"Paubox.Message.html#t:t/0"},{"type":"extras","title":"Paubox Elixir API Client","doc":"# Paubox Elixir API Client\n\nThis is a simple Elixir client for the Paubox Email API. More about the API can\nbe found at [Paubox](https://docs.paubox.com/docs/paubox_email_api/quickstart).","ref":"readme.html"},{"type":"extras","title":"Installation - Paubox Elixir API Client","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `paubox` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:paubox, \"~> 1.0.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Paubox Elixir API Client","doc":"You can either pass in an API key and API user to the client or set them as\nenvironment variables, `PAUBOX_API_KEY` and `PAUBOX_API_USER`.\n\nThis is the `message` used in the examples below.\n```elixir\nmessage =  %Paubox.Message{\n  subject:  \"Hey y'all!\",\n  from: \"messenger@example.local\",\n  recipients: [\"someone@somewhere.local\"]\n}\n```","ref":"readme.html#usage"},{"type":"extras","title":"Sending a Single Message - Paubox Elixir API Client","doc":"```elixir\nPaubox.API.Email.client(%{api_key: \"your_api_key\", api_user: \"your_api_user\"})\n|> Paubox.API.Email.send_email(message)\n\n# or if the environment variables are set\nPaubox.API.Email.client() |> Paubox.API.Email.send_email(message)\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#sending-a-single-message"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),\nand this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).\n\n## [0.1.0]","ref":"changelog.html"},{"type":"extras","title":"Added - Changelog","doc":"- Initial release with base foundation.","ref":"changelog.html#added"},{"type":"extras","title":"LICENSE","doc":"MIT License\n\nCopyright (c) 2024 Waymark, LLC\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}